## threetictac 0.5-1

=== CMakeLists.txt ===
PROJECT(threetictac)

cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)

add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BUILD_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(${PROJECT_NAME}_SRCS 
	graphicsview.cpp
	graphicsscene.cpp
	machineia.cpp
	shape.cpp
	finalline.cpp
	main.cpp)

qt4_automoc(${${PROJECT_NAME}_SRCS}) 

add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})
target_link_libraries(${PROJECT_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

#install(TARGETS three ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin )

install(FILES threetictac.desktop DESTINATION share/applications/hildon/ )
#install(FILES ${three_img_SRCS} DESTINATION share/three/ )


install(FILES ../img/x.png DESTINATION share/threetictac/ )
install(FILES ../img/o.png DESTINATION share/threetictac/ )
install(FILES ../img/lines.png DESTINATION share/threetictac/ )
install(FILES ../img/bg.png DESTINATION share/threetictac/ )

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Apr 20 22:09:17 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = finalline.cpp \
		graphicsscene.cpp \
		graphicsview.cpp \
		machineia.cpp \
		main.cpp \
		shape.cpp moc_graphicsscene.cpp
OBJECTS       = finalline.o \
		graphicsscene.o \
		graphicsview.o \
		machineia.o \
		main.o \
		shape.o \
		moc_graphicsscene.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = src
DESTDIR       = 
TARGET        = src

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/src1.0.0 || $(MKDIR) .tmp/src1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/src1.0.0/ && $(COPY_FILE) --parents finalline.h graphicsscene.h graphicsview.h machineia.h shape.h .tmp/src1.0.0/ && $(COPY_FILE) --parents finalline.cpp graphicsscene.cpp graphicsview.cpp machineia.cpp main.cpp shape.cpp .tmp/src1.0.0/ && (cd `dirname .tmp/src1.0.0` && $(TAR) src1.0.0.tar src1.0.0 && $(COMPRESS) src1.0.0.tar) && $(MOVE) `dirname .tmp/src1.0.0`/src1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/src1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_graphicsscene.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_graphicsscene.cpp
moc_graphicsscene.cpp: shape.h \
		machineia.h \
		finalline.h \
		graphicsscene.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) graphicsscene.h -o moc_graphicsscene.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

finalline.o: finalline.cpp finalline.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o finalline.o finalline.cpp

graphicsscene.o: graphicsscene.cpp graphicsscene.h \
		shape.h \
		machineia.h \
		finalline.h \
		graphicsscene.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o graphicsscene.o graphicsscene.cpp

graphicsview.o: graphicsview.cpp graphicsview.h \
		graphicsscene.h \
		shape.h \
		machineia.h \
		finalline.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o graphicsview.o graphicsview.cpp

machineia.o: machineia.cpp machineia.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o machineia.o machineia.cpp

main.o: main.cpp graphicsview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

shape.o: shape.cpp shape.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shape.o shape.cpp

moc_graphicsscene.o: moc_graphicsscene.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_graphicsscene.o moc_graphicsscene.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
threetictac (0.5-1) unstable; urgency=low

  * Initial release for Maemo 5 (Nokia N900)

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Tue, 20 Apr 2010 13:39:47 +0200

=== debian/control ===
Source: threetictac
Section: user/games
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>=2.6), libqt4-core (>= 4.6), libqt4-gui (>= 4.6), libqt4-dev (>= 4.6)
Standards-Version: 3.7.2

Package: threetictac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6.0)
Description: A Qt game based on Tic Tac Toe
 A Qt game based on Tic Tac Toe

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac && make
	#mkdir build && 
	#cd build && $(MAKE)
	#docbook-to-man debian/threetictac.sgml > threetictac.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#cd build && $(MAKE) clean
	rm -rf build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/threetictac.
	cd build && make install # DESTDIR=$(CURDIR)/debian/threetictac install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## threetictac 0.5-2

=== debian/changelog ===
threetictac (0.5-2) unstable; urgency=low

  * Fixing problems with the package

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Tue, 26 Apr 2010 16:39:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac && make
+	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac/usr && make
 	#mkdir build && 
 	#cd build && $(MAKE)
 	#docbook-to-man debian/threetictac.sgml > threetictac.1

## threetictac 0.6

=== CMakeLists.txt ===
PROJECT(threeTicTac)

cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)

add_subdirectory(src)

## threetictac 0.6.2-1

=== debian/changelog ===
threetictac (0.6.2-1) unstable; urgency=low

  * Faster game

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Mon, 28 Jun 2010 01:15:56 +0200

=== debian/control ===
Source: threetictac
Section: user/games
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libqt4-gui (>= 4.6), cmake (>= 2.6)
Standards-Version: 3.7.2

Package: threetictac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6)
Description: A Qt game based on Tic Tac Toe
 A Qt game based on Tic Tac Toe
XBSC-Bugtracker: mailto:victor.blazquez@gmail.com
XB-Maemo-Display-Name: threeTicTac
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA7E
 AAAOxAGVKw4bAAAOYklEQVRoge2Z+4+dx1nHPzPvvPf33M/evLte22niKF1D
 StMLCaVqSkkBNUVN4raIHyohAUJyehVt/4Cqgl+Q0qoipaWCH6DYrhCFxBWQ
 uLbJxTaFRFXTxG5ir2/rvZ6zt3POe953ZvjhnCXrzdpep6X80lmNdvdc5vl+
 nnnnmXmegV+0/98mtvmZ9W4B83+sR/btrPebfuF6TQL+IHFxguG6g5KXmFu8
 xGID6PCzBZGAP0Rc2OOODzooOZM1F85yqdm3pW8VwElIKh9k8oEyyScUzh0C
 nBxzcYm1v3uaFw7P05oHsp+BeKcA5Q+69z1Qc0qfcIVzJwJHC6ZWWPvOs2sv
 H3yVK1evZ8vZ4jVZhPKDvOtAjdKXFc6djnRKjpBF5aixWIQf2G2HBps0ftCk
 0+YG3tlGUzFx7SH/vZ+sy9KXZc6daFsSiEJYScbjIL5/1FaGl7qt5xdZWWOL
 R2orAO83uOf+ISp/JhAFEGBBKoUXeAghpIezb4cdHGqwdnqJtdabhFAxcfVh
 /95PFkX0WTIT+nGIlBJrwS+FlPYMSCcTd1Z0NPNi99UX2GIWtgJI7uOuz3rC
 fReI/o9EeQo/DgnLCTrT0kPdNWqqw4tvDkLFxLX94X2fLBJ9mpywNFLFDT1M
 bpCOJBhMiAaLBNXYya62KpfaM99dob2yeSC56X8REUUuzh0q9JCuA0iEEEjp
 4DiKMIkY3DOKH4Sq6CX7P+Dc/aUJhnYA3i2Irz4c3/doQvhpNOHQ3lEKg2Uc
 z8WNfMJ6gahW6DmskuBHwehIMLBzK4dvBsBihRHCeEmI8n2kcnCkwpUuvuMR
 SJ9SucTEL7+FKI5VySvuf0C9fR3CvYl4JyauPhT/2qMlE39aGhnuvOd2KmOD
 OK6LCjyiaoHiWI1ivUJUjAm8ACmUXTarJcC/KUCbdta26Q+FcoiGC3ihjysV
 nnTxhIcnXHzpURmocse9k0RhpIpu4aMPePd8aRfDN4JwYuLaw/F7DlRs/Flp
 ZXj7e/dR3zOCdBwcTxGVE8o761RG65SqZYphAbVsyTvdS691L7eAhE2Rc/OU
 CMAViM5oWrk/3lFOPN9D5hJf+MR+SBREBFGIFwYkAyUquwZpXpqXMhdvHZeD
 Q1f03MlVOi2u3SecBKqPxO87ULbJ5zHCn/ytt1O/bZg8yzG5xvFdompCMlSi
 UCgQxzGuVsydutA60XzhW2fTy2eANrC2ceytAJwZmmlovUZlOXp3aazmhyrE
 xyVwA2IvxPcDvMBHBR7JQJHq7iEaF+aEzMXkLmfHyEK+dLLJ6jpE3/Pvf7RM
 8YsC4d79kV9l8I4xsk6G7mqk4xCUYpJagSROiOIYN3OYPvpq+vzVF/7+cPPo
 U8BSH2DlZgACkFN2ZkHmYmlgOXlbZXzAD5OIIHfxpIvrebi+h/JdHE8R9yEW
 Xp0VMmVypzs8NJc1Ti+xlsbE5f3xrx8oUfyCRKpf2X8fI3eNk7W76G6OEBK/
 GBKVY+IkIfJDVEsw89RrneOXTh/85sJ3nwQW++JX+wD2egAbIexF5hoiY2lw
 pbivOjLgB26AUi5SKKSncFwH2e9RvUB1YoC5V6aRXbtvPBgevtpdfOm343v/
 oCyKn5dI9bb997FjcoKs1SXv5iAFXhwQJhFRFOE7HmLZMv30TzrHLp06+PW5
 f3wSWOgLb/VBOjdaA3DtQSq7yGzD5qYxvFzaV9pR9V3lIoWDQPYWn3SQjgQp
 iGoJlYk6sy9PIzMxeUcw8Y6Y8CHHCnX3w/cyOjlB1s7IO739yA09/CQkjEJc
 60BTc+Wpn6THLp4++Jezh9c9v7JB/BKbduOtADZCaCC9YGcaJjOLg8vFfYXR
 iu9YiXQVwoCQEiEkAoG1EJYjKmN1mhcWMavZDtd15eSD9zDy1t5jk6cZVgjc
 oCc+8AOUdjCLOdNPn0uPXnju24/PHj7SF7xMb9Eu9mci3yz0RgCm33OgM2Wn
 m12dL4wsle+O60VPSomUEnK74RsCqy1eIWB4cozyRJ3xd9xGebRG1srI0xys
 xQ1cvDjA9wKUkeRzHWaOnU+PTZ08+PjswXXPr4tfAK57cLwewJYQF8x0M9f5
 wnCr8kt+GPq6lSOM6H9KYI3FZgadaayx+JGPkJKs1SVrZ5hUo3yFH0cEQYCj
 JdlsytXjU+mx888ffHzm4JMWu23xNwPYEuK8vrKkc7M43Knukxl+ttJFKQUG
 rAabG0zXYFJN3s439AyhwfU8gkKIsop8LmX2xIX0+1PPHvzG1X84ojELtyJ+
 OwBbQaTn9OWmNnpx1A7v08u5n69qlKuw2mK7FtPVmNSgOzmmrdFrOWZNQxdc
 6aKkQjdzZp69lB6beu7gN6YPHcnQC/QW7LbFbxdga4j8ctMKmhPR+KRZyX1h
 JCAwmcGkBpsaTNug2xrb0tiOwbYNrFl0I2P5lcX02MXnD31z+uD3MrLNnp9j
 iwX70wBshtBAdiG70t3lj42UbWmPTS3SSuja3iPUWZ8FjW5pbNtglzR5o0u+
 3GWmNX/ma5f/9jtrtn2VXni8ZfG3CrARQnh4hf2l33loTOx4JF/LHKyAHExu
 MantzUKnB0LbYtsW0zHoNY3uGCpxuXZH6Xb1g5Uf/lfXdht94bO3Iv7NAADI
 iKjy8cqH/2hIDHwqX8pcYyy2Py/CODjrMB2DSS06NeiuIe/kmKy3TnRbi8Hy
 wG2T5b3xS8sv/8eqaV8E0lsVc6sATkxc+1jlwQNVKn+aLaXKGttLeHBwfZcg
 CgjKEcr3wYLuGLACq0HY/ilFCIy1dFtdEReSvZPlu4qX1+aeW9AL15w0f9YA
 TkJS3V958NEypS90l1JlDYBAOBI38IiHi5R31ijvqhLVEhxX9cOpBiFgHcCC
 MZAbTSdNcSNvcldxfGS21Ti1oBduKT3dLsC6+ANlSl/MljJlDQghkUjcwCWu
 F6jsqlHbXae4o0xUj1GeC1agU41J7TUQFoG2hszkdNp9iPLOsSvtmeeaeXPb
 1Y7tAKiYuPax2kceLVP6fLaUudZYBBIhHZTvEQ8kVMZqVHfXKA2UicoJ0jp0
 G12cwEW6DvmaxuaW3gyI/mFLoI0h1zndToYX+3fdXtozNt9qnNzuTNwMQMXE
 1Y/WHnq0bIufy5Yy35qeBgcH5bvE9ZjyeJXKRI1SvUxcinFSyczz0+nJM6eO
 FrvFwXgg8VXokq3lmLw/gAUQGAxaWHKtybs5XujdeVt199iKXjw1my6u3Qzi
 RgAqJq5+vCf+M92lLLS6t2Aduy4+oTxRpTZWozxYISkmqFQxe/Jq+vTUsUN/
 cf6rT+Y2n7rdfctkVI19FSp0ZjDZOkSvaLMOk2uN7moRROHeXcVdYyt569Rs
 OntDiOsBOAlJ9fcG9n+qaIqf6S7lodUWiYNwJCrwiGuve748UKFQKqByxfzp
 ufTo+eOHvj7119/T6ObLa2dmrDFXd7u7J8N67EvVe5xMbhG6t3sLnD6IQGuL
 6VoZFqO9uws7x5az1VOz6ewq14lO18vIip8Y/P0DBVP4XHcpC9GA6HlLuS7R
 QExlokplV41KvUqhVMDNXBb/cyE9eu77h74+9c0nM7JFeolI58drr1zVmNkJ
 d2JfVI18qRxManoQViBtL5/ohViwBlTRlUES7p0Ix4dn1+aeWcwXW2yztOg/
 VP7d9w05w3+eNbOC1aaffUmU3xNfnqhQ3VmlMlChUCzgao/503Pdo+eOHe6L
 33i2aQDzr6yeWbSWxk5352RYD31HOeiWeX1/6EcniUS6Ei/xiIdjKV1n75A3
 OHdq4fR/s93S4vvL939BtMQ9pmOEQCKURHkuUT2mMlqlurPWE18o4hqPhdML
 3ePnThx6/PxfPbFJ/Dy940EH6LyyeqaprW2Mu+P7onrsK0dhu73jh9QSRzhI
 6+AWPaIdEeFQhFfwHL1iapeal/+pkTfeUFp8Q1WiRq16d/Ftf6KsGgOQqrdJ
 RfWEyniF6u4alXqFQrGIZz0WTi12j537/qGvnv/aExo9z7VH4lmgy4Z84uzq
 2Ya1pjER7NoXDcS+67lgJBiB9CR+2ScZLFDcUyKoBcjAodPsyGan+e+vrb52
 mU1rQW0matFCSqGjkbgft8F3feLhmPJQmXK1TKFQwDMec8/PpSfOHzv02Pmv
 /gtvTAM3niq7G208MX3kXw3YD/PhPx7YUU+Kg4EwSwZyUIHCH/ZRAwqdaJw1
 hSc9u9BZKNIrLV5z2NsMINq0s7bpnC1HlXeHA6FwcPADn7gQUywWXxd/ci49
 fuH44cfOf+Vm4ul77RqII9NH/k1KKT7kfOgPR3aPFJLRRCirUAWF8hQiEmQi
 I2tmpGn3yo+aP1oDCvQCww3rQq4v/XREjtyfDCRxVI+IChFxKaYQFfC1z/zp
 +fTE1InDj7322D9vIX5+s5f67Q1J0dmVs4sC0RxldDKpJ340GAk/8VGRQiqJ
 aRsarzZaR6eO/s2LzRdf5vXi1o1LixfTi+2aqq3GrXifL/0oDEMREsICLLy4
 sHri4olDXzn3lSeuI/5GaeAbIM4sn1nsmu7CQDqwW6EKru8KNLRn23b2pdnm
 M1PPHP7WmW89ZbFLfe9fU1rc6o7MByrA8GRx8j3vLL3zN0f8kdsjFTlt037t
 2cVnn3l6/umX6GVRt5SAb2iS3n1CBFSBnePJ+N5Hdj3y/ol44s5IRWo+nT9/
 5PKR48enj/+4P/ZS3870zQBUf+AysAMYBYL+ezm9kLja729G/FYQlb6tgb4t
 0R9vYz10BVhPP/+33ai0aPqD6P7fHV4vb6/3xTcpft3Oen6d98feaKvV72v9
 3w2gyabd+HrXrJLeTARASG821i8XMnpeadLzxi3lsNex5fRtBRtsSXqRa138
 8la2bnTRvX5r7vRhVP813R84Yxs36dtsG22t2xO8Hn5/alvrJfefR/t52vpF
 +6nb/wA8qnqcYmEA0gAAAABJRU5ErkJggg==
 ====
XB-Maemo-Upgrade-Description: Faster game
 Minor mistakes

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac/usr && make
-	#mkdir build && 
-	#cd build && $(MAKE)
+	#$(MAKE)
+	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac/usr -DCMAKE_BUILD_TYPE=Release && $(MAKE)
 	#docbook-to-man debian/threetictac.sgml > threetictac.1
 
 	touch $@
@@ -47,8 +46,9 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	#cd build && $(MAKE) clean
+	#-$(MAKE) clean
 	rm -rf build
+
 	dh_clean 
 
 install: build
@@ -58,7 +58,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/threetictac.
-	cd build && make install # DESTDIR=$(CURDIR)/debian/threetictac install
+	#$(MAKE) DESTDIR=$(CURDIR)/debian/threetictac install
+	cd build && $(MAKE) install
 
 
 # Build architecture-independent files here.

## threetictac 0.7-2

=== src/CMakeLists.txt ===
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BUILD_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(${PROJECT_NAME}_SRCS 
	mainwindow.cpp
	graphicsview.cpp
	graphicsscene.cpp
	machineia.cpp
	shape.cpp
	finalline.cpp
	main.cpp)

qt4_automoc(${${PROJECT_NAME}_SRCS}) 

add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})
target_link_libraries(${PROJECT_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin )

install(FILES threeTicTac.desktop DESTINATION share/applications/hildon/ )
install(FILES ../img/x.png DESTINATION share/threeTicTac/ )
install(FILES ../img/o.png DESTINATION share/threeTicTac/ )
install(FILES ../img/lines.png DESTINATION share/threeTicTac/ )
install(FILES ../img/bg.png DESTINATION share/threeTicTac/ )


install(FILES ../icons/26x26/threetictac.png DESTINATION share/icons/hicolor/26x26/hildon/)
install(FILES ../icons/40x40/threetictac.png DESTINATION share/icons/hicolor/40x40/hildon/)
install(FILES ../icons/48x48/threetictac.png DESTINATION share/icons/hicolor/48x48/hildon/)

=== debian/changelog ===
threetictac (0.7-2) unstable; urgency=low

  * fixed bug: when machine starts playing the game have to be blocked
  * when machine starts playing, should starts randomly

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Mon, 27 Sep 2010 01:23:34 +0200

threetictac (0.7-1) unstable; urgency=low

  * Support for two players

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Sun, 26 Sep 2010 16:19:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: user/games
 Priority: extra
 Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libqt4-gui (>= 4.6), cmake (>= 2.6)
+Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-dev (>= 2.6) 
 Standards-Version: 3.7.2
 
 Package: threetictac
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-gui (>= 4.6)
-Description: A Qt game based on Tic Tac Toe
- A Qt game based on Tic Tac Toe
-XBSC-Bugtracker: mailto:victor.blazquez@gmail.com
+Description: Tic Tac Toe game
+ The classic game of Tic Tac Toe adapted for N900 
+XSBC-Bugtracker: mailto:victor.blazquez@gmail.com
 XB-Maemo-Display-Name: threeTicTac
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA7E
@@ -98,6 +98,6 @@
  8la2bnTRvX5r7vRhVP813R84Yxs36dtsG22t2xO8Hn5/alvrJfefR/t52vpF
  +6nb/wA8qnqcYmEA0gAAAABJRU5ErkJggg==
  ====
-XB-Maemo-Upgrade-Description: Faster game
- Minor mistakes
+XB-Maemo-Upgrade-Description: Support for two players
+ Fixed some minor bugs

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	#$(MAKE)
-	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac/usr -DCMAKE_BUILD_TYPE=Release && $(MAKE)
+	mkdir build && cd build && cmake ../ -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/threetictac/usr && $(MAKE)
 	#docbook-to-man debian/threetictac.sgml > threetictac.1
 
 	touch $@
@@ -73,7 +72,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-	dh_install
+#	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
